# ACE_POSIX_Wakeup_Completion Class Reference

Inheritance diagram for ACE_POSIX_Wakeup_Completion:

[legend]
Collaboration diagram for ACE_POSIX_Wakeup_Completion:

[legend]
List of all members.

## Public Member Functions

| ACE_POSIX_Wakeup_Completion (const ACE_Handler::Proxy_Ptr &handler_proxy, const void *act=0, ACE_HANDLE event=ACE_INVALID_HANDLE, int priority=0, int signal_number=ACE_SIGRTMIN)
| Constructor.
virtual | ~ACE_POSIX_Wakeup_Completion (void)
| Destructor.
virtual void | complete (size_t bytes_transferred=0, int success=1, const void *completion_key=0, u_long error=0)
| This method calls the <handler>'s <handle_wakeup> method.

## Detailed Description

This result object is used by the <end_event_loop> of the ACE_Proactor interface to wake up all the threads blocking for completions.

## Constructor & Destructor Documentation

ACE_POSIX_Wakeup_Completion::ACE_POSIX_Wakeup_Completion | ( | const ACE_Handler::Proxy_Ptr & | handler_proxy,
|  | const void * | act = `0`,
|  | ACE_HANDLE | event = `ACE_INVALID_HANDLE`,
|  | int | priority = `0`,
|  | int | signal_number = `ACE_SIGRTMIN`
| ) |

| Constructor.

ACE_POSIX_Wakeup_Completion::~ACE_POSIX_Wakeup_Completion | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void ACE_POSIX_Wakeup_Completion::complete | ( | size_t | bytes_transferred = `0`,
|  | int | success = `1`,
|  | const void * | completion_key = `0`,
|  | u_long | error = `0`
| ) | `[virtual]`

| This method calls the <handler>'s <handle_wakeup> method. Implements ACE_Asynch_Result_Impl.

The documentation for this class was generated from the following file:

- POSIX_Proactor.cpp